# Workflow: the Workspaces Workflow Service

In the Workspaces system, a Workflow is a request to do something or get something.
(e.g., standard calibration or **c**alibrated **m**easurement **s**et restore).
Available workflows can be found in the archive **workflows** table.
Submission of a given workflow request kicks off a capability request.

To use, first run the Alembic migrations in /schema:
    `env CAPO_PROFILE=local alembic upgrade head`

Then, back in services/workflow, run:
    `python setup.py develop`

Then you should be able to run this with:
    `env CAPO_PROFILE=local pserve --reload dev.ini`

Once there, try the following URLs:

To see available workflows:
- http://localhost:4444/workflows

To view the metadata of a workflow request:
- localhost:4444/workflows/std_calibration/requests/{workflow_request_id}
