# SECI Ingestion Status

This utility checks if a SECI ingestion succeeded or failed and prints this
information to the console. This is useful to know before cleaning a SECI cache
area. This utility works by checking the `ingest-result.json` file in the
workflow's results directory.

## Usage
```
Usage: seci_ingestion_status -id <WF Request ID> [-prop CAPO_PATH]
    -id   Workflow Request ID of the SECI Ingestion to inspect
    -prop   Path to the CAPO properties file (default is $CAPO_PROFILE.properties)
```
